This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 142990 - pxdvi does not show japanese letter
pxdvi does not show japanese letter
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-15 11:52 EST by MASA.H
Modified: 2013-07-02 19:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-16 06:49:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
platex source (8.56 KB, text/plain)
2004-12-16 04:57 EST, MASA.H
no flags Details

  None (edit)
Description MASA.H 2004-12-15 11:52:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.5) Gecko/20041212 Firefox/1.0

Description of problem:
I make dvi file by platex from tex file include EUC-JP char.
Then I'll preview this dvi file by pxdvi,pxdvi show japanese char as white box.

Version-Release number of selected component (if applicable):
tetex-xdvi-2.0.2-26

How reproducible:
Always

Steps to Reproduce:
1.Write tex file in japanese using EUC-JP
2.Convert tex to dvi with platex
3.preview by pxdvi
  

Actual Results:  Japanese character is shown as white box.

Expected Results:  Japanese character is shown as Japanese character.

Additional info:
Comment 1 Jindrich Novy 2004-12-16 04:43:42 EST
Could you please send here the tex source including the Japanese character? (I
don't speak Japanese) Have you tried to include UTF-8 character in the source
instead?
Comment 2 MASA.H 2004-12-16 04:57:01 EST
Created attachment 108680 [details]
platex source

This file is my writing report.
THe content is under writing.
Comment 3 MASA.H 2004-12-16 05:01:44 EST
You said to try UTF-8, but platex does not support UTF-8.
It support only EUC_JP and Shift_JIS.
Comment 4 Jindrich Novy 2004-12-16 05:46:04 EST
Unfortunately I'm not very much experienced with platex and the Japanese
environment within tetex. I suspect some missing fonts?

Matsuura, could you help?
Comment 5 Takanori MATSUURA 2004-12-16 06:04:12 EST
I'm not upgraded to FC3 yet.
But I'm using tetex-2.0.2-26 on FC2.

As far as I tested with tetex-2.0.2-26 on FC2, attachment 108680 [details] was successfuly
typesetted and viewed properly with pxdvi.

Did you install VFlib2-conf-ja?
Comment 6 MASA.H 2004-12-16 06:13:14 EST
Oh, I'm sorry.I didn't install VFlib2-conf-ja.
After install,I can get right preview.
I didn't know pxdvi uses VFlib2.
Comment 7 Jindrich Novy 2004-12-16 06:49:34 EST
Matsuura, thanks.

Note You need to log in before you can comment on or make changes to this bug.